<h2 mat-dialog-title>Edit file</h2>

<mat-dialog-content [formGroup]="form">

  <mat-form-field appearance="outline">
    <mat-label>Name</mat-label>
    <input matInput formControlName="name">
    <mat-error>{{getNameErrorMessage()}}</mat-error>
  </mat-form-field>

  <mat-form-field appearance="outline">
    <mat-label>Status</mat-label>
    <mat-select formControlName="status">

      <mat-option *ngFor="let status of data.statuses" [value]="status">
        {{status.value}}</mat-option>
    </mat-select>
  </mat-form-field>
</mat-dialog-content>

<mat-dialog-actions>
  <button mat-flat-button mat-dialog-close>Cancel</button>
  <button mat-flat-button color="primary" [disabled]="form.invalid" (click)="confirm(form.value)">Save</button>
</mat-dialog-actions>
